Author Topic: carddav 3.0.3 stopped working - image error?  (Read 119 times)

Offline alexanderdd

  • Newbie
  • *
  • Posts: 6
carddav 3.0.3 stopped working - image error?
« on: September 07, 2020, 05:30:24 PM »
Hello,

I had a working setup with carddav 3.0.3 plugin, syncing contacts from nextcloud (well actually, individual contacts where synced but not groups...)

So now contacts are not synced anymore, error message "internal server error", this is the(censored) log:

Code: [Select]
[07-Sep-2020 22:26:13 Europe/Berlin] Failed sending HTTP request: Header overflow
[07-Sep-2020 22:26:13 Europe/Berlin] PHP Fatal error:  Uncaught Httpful\Exception\ConnectionErrorException: Unable to connect to "https://MYWEBSITE.de:443/remote.php/dav/addressbooks/users/USER/NAMEOFADDRESSBOOK/DATA:IMAGE/VALUE=URI-JPEG;BASE64\,/9j/4AAQSkZJRgABAQAAAQABAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAxNDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjL/wgARCAQ/AuQDASIAAhEBAxEB/8QAGwAAAwEBAQEBAAAAAAAAAAAAAAECAwQFBgf/xAAYAQEBAQEBAAAAAAAAAAAAAAAAAQIDBP/aAAwDAQACEAMQAAAB5AOfqBkDmgEQMYIBgDQQNMAYJkMTGDEDFSaAEFJgBTBwA4GmA3ImAMABg0DBiYxDBDSAwSoiRlqVBKuQVSIagTKSYsqkiVJSaVkjUssBJoByMwLJHXXQwJYSjAGhGIGTcqpAxMGAJkjBFIYNMABiYwUjacDGAMGAwIGCMZCGUMYA0BghghqwGSyxxKpAqSoapDQkyENUkwlUCQKkwU0hA1lUknzvR4NzziTvx9smufpYAmqEwgQIFSrYxCcUgG0xoIYAwIbFYwIGmDBBjhNOVjLAHCKQnKTR4TXWczTZ5kbPG00BgmxKiyWADUqBiTBDSpUpUhkjSpMFNIlhZI0qTBDQkxZVEch1G5zUn000mAIblwxMJqSkkXQDQQwAYK2iG0IwJGDBNibAaSU8oOg5FZ1zxlnYcCO5cIndPG66Zy2TI6pM9MMD1enwN8vbOXozKcsARQq in /data/web/1/000/045/001/171330/htdocs/email-roundcube/plugins/carddav/vendor/nategood/httpful/src/Httpful/Request.php on line 1028

I removed all images from the contacts, the error is still the same and appears no matter what address I start typing in the compose window..#

help appreciated!

Also feel free to move this thread, I did not know if carddav is new api or not, so I put it here...

I cant install 4.0.0 because I cannot use composer at my hoster =(